[mythtv-users] Mythbackend won't start (segmentation fault)

Gabe Rubin gaberubin at gmail.com
Fri Oct 28 17:51:28 UTC 2011


On Fri, Oct 28, 2011 at 10:45 AM, John Pilkington <J.Pilk at tesco.net> wrote:
> On 28/10/11 18:27, Gabe Rubin wrote:
>> On Fri, Oct 28, 2011 at 10:20 AM, Gabe Rubin<gaberubin at gmail.com>  wrote:
>>> Hi List,
>>>
>>> I am not even sure how to diagnose this.  I am running myth on a
>>> fedora 14 box.  Last night I updated the system via yum, which mainly
>>> just updated the kernel.  I did a reboot and mythfrontend would not
>>> start (and I could not log into the box remotely).  I tried rolling
>>> back the kernel, but had issues with my nvidia driver.  I was able to
>>> start things up again and watch tv with the updated kernel after
>>> tinkering around and resetting (running 2.6.35.14-97.fc14.i686).
>>
>> Some additional information, here are the packages that were updated/installed:
>>
>> Oct 26 22:20:13 Updated: xorg-x11-server-common-1.9.5-2.fc14.i686
>> Oct 26 22:20:15 Updated: tzdata-java-2011k-0.1.20110921.fc14.noarch
>> Oct 26 22:20:16 Updated: 6:kdelibs-common-4.6.5-6.fc14.i686
>> Oct 26 22:20:18 Updated: perl-DateTime-TimeZone-1.40-1.fc14.noarch
>> Oct 26 22:20:21 Updated: tzdata-2011k-0.1.20110921.fc14.noarch
>> Oct 26 22:20:22 Updated: 1:autocorr-en-3.3.0-20.8.fc14.noarch
>> Oct 26 22:20:24 Updated: python-setuptools-0.6.21-1.fc14.noarch
>> Oct 26 22:20:27 Updated: libunicap-0.9.12-8.fc14.i686
>> Oct 26 22:20:30 Updated: kernel-headers-2.6.35.14-97.fc14.i686
>> Oct 26 22:20:31 Updated: php-common-5.3.8-3.fc14.i686
>> Oct 26 22:20:33 Installed: sane-backends-drivers-scanners-1.0.22-5.fc14.i686
>> Oct 26 22:20:34 Updated: sane-backends-libs-1.0.22-5.fc14.i686
>> Oct 26 22:20:37 Installed: sane-backends-1.0.22-5.fc14.i686
>> Oct 26 22:20:38 Updated: rpm-4.8.1-7.fc14.i686
>> Oct 26 22:20:39 Updated: rpm-libs-4.8.1-7.fc14.i686
>> Oct 26 22:20:47 Installed: nvidia-graphics285.05.09-libs-285.05.09-139.fc14.i686
>> Oct 26 22:20:48 Updated: 1:NetworkManager-glib-0.8.5.92-1.git20110927.fc14.i686
>> Oct 26 22:20:57 Installed: kernel-2.6.35.14-97.fc14.i686
>> Oct 26 22:21:01 Updated: 1:NetworkManager-0.8.5.92-1.git20110927.fc14.i686
>> Oct 26 22:21:02 Updated: rpm-python-4.8.1-7.fc14.i686
>> Oct 26 22:21:04 Updated: php-cli-5.3.8-3.fc14.i686
>> Oct 26 22:21:05 Updated: php-pdo-5.3.8-3.fc14.i686
>> Oct 26 22:21:24 Updated: 1:java-1.6.0-openjdk-1.6.0.0-55.1.9.10.fc14.i686
>> Oct 26 22:21:26 Updated: xorg-x11-server-Xorg-1.9.5-2.fc14.i686
>> Oct 26 22:21:27 Updated: exiv2-libs-0.21.1-3.fc14.i686
>> Oct 26 22:21:28 Updated: strigi-libs-0.7.5-4.fc14.i686
>> Oct 26 22:21:29 Updated: 1:cups-libs-1.4.8-5.fc14.i686
>> Oct 26 22:21:34 Updated: 1:cups-1.4.8-5.fc14.i686
>> Oct 26 22:21:42 Updated: 6:kdelibs-4.6.5-6.fc14.i686
>> Oct 26 22:21:43 Updated: xorg-x11-drv-qxl-0.0.21-3.fc14.i686
>> Oct 26 22:21:44 Updated: 1:java-1.6.0-openjdk-plugin-1.6.0.0-55.1.9.10.fc14.i686
>> Oct 26 22:21:45 Updated: php-mysql-5.3.8-3.fc14.i686
>> Oct 26 22:21:47 Updated: php-5.3.8-3.fc14.i686
>> Oct 26 22:21:57 Updated: 1:NetworkManager-gnome-0.8.5.92-1.git20110927.fc14.i686
>> Oct 26 22:21:58 Updated: php-xml-5.3.8-3.fc14.i686
>> Oct 26 22:21:59 Updated: php-mcrypt-5.3.8-3.fc14.i686
>> Oct 26 22:21:59 Updated: php-mbstring-5.3.8-3.fc14.i686
>> Oct 26 22:22:00 Updated: php-gd-5.3.8-3.fc14.i686
>> Oct 26 22:22:01 Updated: php-process-5.3.8-3.fc14.i686
>> Oct 26 22:22:02 Updated: php-ldap-5.3.8-3.fc14.i686
>> Oct 26 22:22:40 Updated: BackupPC-3.2.1-6.fc14.i686
>> Oct 26 22:22:42 Updated: flash-plugin-11.0.1.152-release.i386
>> Oct 26 22:22:43 Updated: libisofs-1.1.6-1.fc14.i686
>> Oct 26 22:22:49 Updated: ibus-chewing-1.3.10-1.fc14.i686
>> Oct 26 22:22:50 Updated: perf-2.6.35.14-97.fc14.i686
>> Oct 26 22:22:51 Updated: orc-0.4.16-1.fc14.i686
>> Oct 26 22:22:52 Updated: libburn-1.1.6-1.fc14.i686
>> Oct 26 22:22:53 Updated: dcraw-9.11-1.fc14.i686
>> Oct 26 22:22:55 Updated: postgresql-libs-8.4.9-1.fc14.i686
>> Oct 26 22:22:59 Updated: 2:postfix-2.7.6-1.fc14.i686
>> Oct 26 22:23:12 Installed:
>> nvidia-graphics285.05.09-kmdl-2.6.35.14-97.fc14-285.05.09-139.fc14.i686
>> Oct 26 22:23:14 Updated: system-config-users-1.2.110-1.fc14.noarch
>> Oct 26 22:23:16 Installed:
>> nvidia-graphics280.13-kmdl-2.6.35.14-97.fc14-280.13-138.fc14.i686
>> Oct 26 22:23:36 Installed: nvidia-graphics285.05.09-285.05.09-139.fc14.i686
>> Oct 26 22:23:37 Updated: 3:nvidia-graphics-285.05.09-61.i386
>> Oct 26 22:24:17 Erased: nvidia-graphics280.13-kmdl-2.6.35.13-92.fc14
>
>
> I've just rolled back from the new nVidia driver 285.05.09 to 280.13 and
> everything seems to be stable again.  ATrpms builds but x86_64.
> Had segfaults from the frontend.  I put a tentative warning on the
> ATrpms list.
>
> John P
>

Rolling back seemed to do the trick.  The new driver has a lot of
issues it seems.  I thought it was the new kernel preventing me from
logging in (or worse, a hardware issue) but it appears to be the new
driver.  Don't know how I missed the warning on the atrpms list and
cross-posting in case someone else missed it (perhaps the new driver
should be taken out of the stable repo or put in testing?).


More information about the mythtv-users mailing list